2 # Check ncurses compatibility
7 pkg-config
--libs ncursesw
2>/dev
/null
&& exit
8 pkg-config
--libs ncurses
2>/dev
/null
&& exit
9 for ext
in so a dll.a dylib
; do
10 for lib
in ncursesw ncurses curses
; do
11 $cc -print-file-name=lib
${lib}.
${ext} |
grep -q /
24 if pkg-config
--cflags ncursesw
2>/dev
/null
; then
25 echo '-DCURSES_LOC="<ncurses.h>" -DNCURSES_WIDECHAR=1'
26 elif pkg-config
--cflags ncurses
2>/dev
/null
; then
27 echo '-DCURSES_LOC="<ncurses.h>"'
28 elif [ -f /usr
/include
/ncursesw
/curses.h
]; then
29 echo '-I/usr/include/ncursesw -DCURSES_LOC="<curses.h>"'
30 echo ' -DNCURSES_WIDECHAR=1'
31 elif [ -f /usr
/include
/ncurses
/ncurses.h
]; then
32 echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"'
33 elif [ -f /usr
/include
/ncurses
/curses.h
]; then
34 echo '-I/usr/include/ncurses -DCURSES_LOC="<curses.h>"'
35 elif [ -f /usr
/include
/ncurses.h
]; then
36 echo '-DCURSES_LOC="<ncurses.h>"'
38 echo '-DCURSES_LOC="<curses.h>"'
42 # Temp file, try to clean up after us
44 trap "rm -f $tmp" 0 1 2 3 15
46 # Check if we can link to ncurses
48 $cc -x c
- -o $tmp 2>/dev
/null
<<'EOF'
53 echo " *** Unable to find the ncurses libraries or the" 1>&2
54 echo " *** required header files." 1>&2
55 echo " *** 'make menuconfig' requires the ncurses libraries." 1>&2
57 echo " *** Install ncurses (ncurses-devel) and try again." 1>&2
64 printf "Usage: $0 [-check compiler options|-ccflags|-ldflags compiler options]\n"